<?php
/**
 * Template part for displaying content of single
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package errigal
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit;

use Errigal\Constant\Errigal_Template_Part as Template_Part;

while ( have_posts() ) {
	the_post();
	get_template_part(
		'template-parts/component/content/article',
		null,
		array(
			/**
			 * Renders post article content.
			 *
			 * @since 1.1.0
			 *
			 * @return void
			 */
			Template_Part::RENDER_CALLBACK => function () {
				get_template_part( 'template-parts/header/post-header' );
				get_template_part( 'template-parts/component/content/content-entry' );
				get_template_part( 'template-parts/footer/post-footer' );
			},
		)
	);
	get_template_part( 'template-parts/component/content/post-navigation' );
	get_template_part( 'template-parts/component/content/comments' );
}
